de.esprit.common.gui.action

## Enum ActivationMode

- java.lang.Object
- - java.lang.Enum<ActivationMode>
  - - de.esprit.common.gui.action.ActivationMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ActivationMode>

      public enum ActivationMode
      extends java.lang.Enum<ActivationMode>

  This mode defines on which kind of selection an action should become enabled.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY_SELECTION`
    `MULTI_SELECTION_ONLY`
    `SINGLE_SELECTION_ONLY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActivationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActivationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SINGLE_SELECTION_ONLY

          public static final ActivationMode SINGLE_SELECTION_ONLY

    - #### MULTI_SELECTION_ONLY

          public static final ActivationMode MULTI_SELECTION_ONLY

    - #### ANY_SELECTION

          public static final ActivationMode ANY_SELECTION

  - ### Method Detail

    - #### values

          public static ActivationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActivationMode c : ActivationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActivationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2014 EsprIT-Systems. All Rights Reserved.